# Schema for the configuration files of the Bootstrap Barrio Subtheme.

sme.settings:
  type: theme_settings
  label: 'Bootstrap Barrio Subtheme settings'
  mapping:
    sme_sidebar_position:
      type: text
      label: 'Sidebar Position'
    sme_content_offset:
      type: integer
      label: 'Offset'
    sme_sidebar_first_width:
      type: integer
      label: 'Width'
    sme_sidebar_first_offset:
      type: integer
      label: 'Offset'
    sme_sidebar_second_width:
      type: integer
      label: 'Width'
    sme_sidebar_second_offset:
      type: integer
      label: 'Offset'
    sme_footer_layout:
      type: text
      label: 'Layout'
    sme_fluid_container:
      type: integer
      label: 'Enabled'
    sme_button_size:
      type: text
      label: 'Size'
    sme_button_outline:
      type: integer
      label: 'Button outline'
    sme_navbar_top_position:
      type: text
      label: 'Position'
    sme_navbar_top_color:
      type: integer
      label: 'Color'
    sme_navbar_top_background:
      type: text
      label: 'Background'
    sme_navbar_position:
      type: text
      label: 'Position'
    sme_navbar_color:
      type: integer
      label: 'Color'
    sme_navbar_background:
      type: text
      label: 'Background'
    sme_anchors_fix:
      type: integer
      label: 'Enabled'
    sme_anchors_smooth_scrolling:
      type: integer
      label: 'Enabled'
    sme_forms_required_has_error:
      type: integer
      label: 'Enabled'
    sme_forms_has_error_value_toggle:
      type: integer
      label: 'Enabled'
    sme_forms_smart_descriptions:
      type: integer
      label: 'Enabled'
    sme_forms_smart_descriptions_limit:
      type: integer
      label: 'Limit'
    sme_forms_smart_descriptions_allowed_tags:
      type: text
      label: 'Allowed tags'
    sme_popover_enabled:
      type: integer
      label: 'Enabled'
    sme_popover_animation:
      type: integer
      label: 'Enabled'
    sme_popover_html:
      type: integer
      label: 'Enabled'
    sme_popover_placement:
      type: text
      label: 'Placement'
    sme_popover_selector:
      type: text
      label: 'Selector'
    sme_popover_trigger_autoclose:
      type: integer
      label: 'Enabled'
    sme_popover_delay:
      type: integer
      label: 'Enabled'
    sme_popover_trigger:
      type: mapping
      mapping:
        hover:
          type: integer
          label: 'Hover'
    sme_tooltip_enabled:
      type: integer
      label: 'Enabled'
    sme_tooltip_descriptions:
      type: integer
      label: 'Enabled'
    sme_tooltip_descriptions_length:
      type: integer
      label: 'Length'
    sme_tooltip_animation:
      type: integer
      label: 'Enabled'
    sme_tooltip_html:
      type: integer
      label: 'Length'
    sme_tooltip_delay:
      type: integer
      label: 'Enabled'
    sme_popover_title:
      type: text
      label: 'Title'
    sme_popover_content:
      type: text
      label: 'Content'
    sme_tooltip_placement:
      type: text
      label: 'Placement'
    sme_tooltip_container:
      type: text
      label: 'Container'
    sme_tooltip_selector:
      type: text
      label: 'Selector'
    sme_tooltip_trigger:
      type: mapping
      mapping:
        hover:
          type: text
          label: 'Hover'
    sme_popover_container:
      type: text
      label: 'Container'
